People Intelligence (Sync)
curl --request POST \
--url https://api.sixtyfour.ai/people-intelligence \
--header 'Content-Type: application/json' \
--data '
{
"lead_info": {},
"struct": {},
"research_plan": "<string>",
"webhook_url": "<string>",
"field_confidence": true
}
'import requests
url = "https://api.sixtyfour.ai/people-intelligence"
payload = {
"lead_info": {},
"struct": {},
"research_plan": "<string>",
"webhook_url": "<string>",
"field_confidence": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
lead_info: {},
struct: {},
research_plan: '<string>',
webhook_url: '<string>',
field_confidence: true
})
};
fetch('https://api.sixtyfour.ai/people-intelligence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "Insufficient API credits"
}{
"detail": "High tier company enrichment is not enabled for this org. Contact sales to request access."
}{
"detail": "Job not found"
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded"
}{
"detail": "Internal server error"
}People Intelligence
People Intelligence (Sync)
Find and enrich a single person.
POST
/
people-intelligence
People Intelligence (Sync)
Headers
Body
application/json
Single lead to process. Provide any combination of name, email, company, linkedin, etc.
Mapping of output field name to natural-language description of what to extract.
Optional natural-language plan that guides the research agent.
Quality and cost tier for the research agent.
Available options:
low, micro, medium, high, xhigh, scout HTTPS URL that receives the result payload when the async job completes.
Required string length:
1 - 2083If true, return confidence scores for each requested output field.
Response
Successful Response
Was this page helpful?
⌘I